com.smartgwt.client.types

## Enum ConnectorOrientation

- java.lang.Object
- - java.lang.Enum<ConnectorOrientation>
  - - com.smartgwt.client.types.ConnectorOrientation

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<ConnectorOrientation>

      public enum ConnectorOrientation
      extends java.lang.Enum<ConnectorOrientation>
      implements ValueEnum

  Supported styles of connector orientations.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO` Tail segments flip orientation according to longer axis of bounding box: if the bounding box is wider than it is tall, center segment is vertical
    `HORIZONTAL` Tail segments are always horizontal; best for left-to-right connectors
    `VERTICAL` Tail segments are always vertical; best for top-to-bottom connectors

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static ConnectorOrientation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConnectorOrientation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HORIZONTAL

          public static final ConnectorOrientation HORIZONTAL

      Tail segments are always horizontal; best for left-to-right connectors

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "horizontal".

    - #### VERTICAL

          public static final ConnectorOrientation VERTICAL

      Tail segments are always vertical; best for top-to-bottom connectors

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "vertical".

    - #### AUTO

          public static final ConnectorOrientation AUTO

      Tail segments flip orientation according to longer axis of bounding box: if the bounding box is wider than it is tall, center segment is vertical

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "auto".

  - ### Method Detail

    - #### values

          public static ConnectorOrientation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectorOrientation c : ConnectorOrientation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectorOrientation valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`